class FullVoter < Voter
  before_create :create_password
  validates_presence_of :email, :password

  def create_password
    token_generator = UniqueTokenGenerator.new( 16 )
    until password and not password.empty? \
          and Voter.find(:all, :conditions => [ "password = ?", password ]).empty?
      self.password = token_generator.token
    end
  end
end
